Bug 1461134 - [abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed by signal 11
[abrt] nautilus: g_type_check_instance_is_fundamentally_a(): nautilus killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1fddbb2f7b7694a8773b60d6cdf...
:
: 1470245 1485607 1487746 1496831 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 11:05 EDT by Daniel
Modified: 2018-07-12 18:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.66 KB, text/plain)
2017-06-13 11:05 EDT, Daniel
no flags Details
File: cgroup (321 bytes, text/plain)
2017-06-13 11:05 EDT, Daniel
no flags Details
File: core_backtrace (16.79 KB, text/plain)
2017-06-13 11:05 EDT, Daniel
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2017-06-13 11:05 EDT, Daniel
no flags Details
File: dso_list (13.95 KB, text/plain)
2017-06-13 11:05 EDT, Daniel
no flags Details
File: environ (1.46 KB, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: maps (68.13 KB, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: open_fds (3.56 KB, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details
File: var_log_messages (330 bytes, text/plain)
2017-06-13 11:06 EDT, Daniel
no flags Details

  None (edit)
Description Daniel 2017-06-13 11:05:46 EDT
Description of problem:


Version-Release number of selected component:
nautilus-3.24.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
journald_cursor: s=d5ff60c0c4d64df29c42275b0058be36;i=4a5e89;b=05d0d07531ed4cc8983dfd687151224b;m=2b132432d;t=550a0d9340a9d;x=9d6336e7b4fffb76
kernel:         4.11.3-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4023
 #1 g_object_ref at gobject.c:3051
 #2 g_list_copy_deep at glist.c:680
 #3 nautilus_files_view_set_selection at nautilus-files-view.c:3090
 #4 load_new_location at nautilus-window-slot.c:1794
 #5 setup_view at nautilus-window-slot.c:1722
 #6 got_file_info_for_view_selection_callback at nautilus-window-slot.c:1599
 #7 call_ready_callbacks_at_idle at nautilus-directory-async.c:2010
 #12 g_main_context_iteration at gmain.c:4029
 #13 g_application_run at gapplication.c:2381

Potential duplicate: bug 1303196
Comment 1 Daniel 2017-06-13 11:05:52 EDT
Created attachment 1287359 [details]
File: backtrace
Comment 2 Daniel 2017-06-13 11:05:53 EDT
Created attachment 1287360 [details]
File: cgroup
Comment 3 Daniel 2017-06-13 11:05:55 EDT
Created attachment 1287361 [details]
File: core_backtrace
Comment 4 Daniel 2017-06-13 11:05:57 EDT
Created attachment 1287362 [details]
File: cpuinfo
Comment 5 Daniel 2017-06-13 11:05:58 EDT
Created attachment 1287363 [details]
File: dso_list
Comment 6 Daniel 2017-06-13 11:06:00 EDT
Created attachment 1287364 [details]
File: environ
Comment 7 Daniel 2017-06-13 11:06:02 EDT
Created attachment 1287365 [details]
File: exploitable
Comment 8 Daniel 2017-06-13 11:06:03 EDT
Created attachment 1287366 [details]
File: limits
Comment 9 Daniel 2017-06-13 11:06:05 EDT
Created attachment 1287367 [details]
File: maps
Comment 10 Daniel 2017-06-13 11:06:07 EDT
Created attachment 1287368 [details]
File: open_fds
Comment 11 Daniel 2017-06-13 11:06:08 EDT
Created attachment 1287369 [details]
File: proc_pid_status
Comment 12 Daniel 2017-06-13 11:06:10 EDT
Created attachment 1287370 [details]
File: var_log_messages
Comment 13 Martijn ten Heuvel 2017-07-12 11:06:35 EDT
*** Bug 1470245 has been marked as a duplicate of this bug. ***
Comment 14 247 2017-08-26 03:55:37 EDT
*** Bug 1485607 has been marked as a duplicate of this bug. ***
Comment 15 jenkinsshubham 2017-09-01 15:19:39 EDT
*** Bug 1487746 has been marked as a duplicate of this bug. ***
Comment 16 Philip Frank 2017-09-18 11:22:28 EDT
Similar problem has been detected:

I was copying files from my ext4 home directory to an ntfs partition

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
journald_cursor: s=541ebfc9dcd14d49bb7e3604e7cd6e4c;i=6939d;b=5ff930ddda1d45c69655dfa51c040604;m=254b18278e;t=55977512a25ac;x=51a6980bdd85b250
kernel:         4.12.9-300.fc26.x86_64
package:        nautilus-3.24.2.1-1.fc26
reason:         nautilus killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Keefer Rourke 2017-09-28 10:16:23 EDT
*** Bug 1496831 has been marked as a duplicate of this bug. ***
Comment 18 Gabriel M. Elder 2017-10-15 10:14:38 EDT
Similar problem has been detected:

I had a folder view open in nautilus which contained three sub-folders, and also a gnome-terminal shell with the CWD == .. of the folder view in nautilus.

I then issued a bash command which recursively deleted the folder being viewed in nautilus and all of its contents (rm -rfv). At that point, nautilus crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/nautilus
journald_cursor: s=e3fd3b1d9e024a9ea29d28008cf48bc7;i=1c25;b=b8f5c307406843b987bea62c9142160b;m=3a1fabd7;t=55b96460813b2;x=a195e5c082ce380e
kernel:         4.13.5-200.fc26.x86_64
package:        nautilus-3.24.2.1-1.fc26
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora End Of Life 2018-05-03 04:15:25 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2018-05-29 07:35:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Jonathan Briggs 2018-07-12 18:21:50 EDT
This should be reopened. I just experienced the same crash in Fedora 28. ABRT says that the crash duplicates this bug. And the backtrace sure looks like it.

This bug is not fixed and is still open in F28.

Note You need to log in before you can comment on or make changes to this bug.